using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity.Spatial;

namespace LHDN.CRM.Models.Models
{
    [Table("Ref_DocList")]
    public class DocList
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int DocListID { get; set; }

        public string KategoriDocCode { get; set; }

        public string KategoriDocName { get; set; }

        public bool IsActive { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime LastUpdatedDateTime { get; set; }

        public virtual ICollection<DocListDetail> DocListDetail { get; set; }
    }
}
